Subject: Re: NAT-T

From: Markus Friedl <[email-masked]>
Date: Fri, 13 Jun 2003 16:32:09 +0200

Hi,

Paul Hoffman think is hould take this to the WG list:

We are trying to add support for NAT-T to the OpenBSD IPsec stack,
but because of the confusing IPR claims about NAT-T (e.g.
http://www.ietf.org/ietf/IPR/MICROSOFT-NAT-Traversal.txt) we are
not sure what part of NAT-T can be integrated into OpenBSD without
risking patent related problems.

Any help appreciated,
-markus

On Thu, Jun 12, 2003 at 09:09:23AM -0700, Paul Hoffman / VPNC wrote:
> At 1:43 PM +0200 6/12/03, Markus Friedl wrote:
> >On Wed, Jun 11, 2003 at 12:38:32PM -0700, Paul Hoffman / VPNC wrote:
> >> >If Microsoft's contribution(s) is(are) included in an IETF standard and
> >> >Microsoft has patent rights that are essential to implement such
> >> >standard, Microsoft is prepared to grant a license to the necessary
> >> >claims of Microsoft patent rights, to the extent that such claims are
> >> >required to implement that IETF standard, on a royalty-free basis with
> >> >other reasonable and non-discriminatory terms and conditions, provided a
> >> >reciprocal license is granted to Microsoft for any patent claims
> >> >necessary to implement the following IETF NAT-Traversal drafts:
> >> ><draft-ietf-ipsec-nat-t-ike-03.txt> and
> >> ><draft-ietf-ipsec-udp-encaps-03.txt>.
> >>
> >> Hope this helps.
> >
> >Hm, the problem with this statement is, that's almost of no value.
> >It states "Microsoft is prepared to grant a license", "If Microsoft's
> >contribution(s) is(are) included in an IETF standard", so this text
> >grants nothing and can be applied to anything.
> 
> Actually, that's standard wording for IETF IPR for companies doing 
> The Right Thing. Companies doing The Typical Thing do not include the 
> "royalty-free" clause. So Microsoft is being good here.
> 
> >So I'm not sure what part of NAT-T can be integrated into OpenBSD
> >without risking patent related problems.
> 
> That is always true. And you certainly shouldn't do anything until 
> whatever Microsoft claims becomes part of a standard. That is, if it 
> doesn't become part of a standard, Microsoft isn't giving away 
> anything (and I agree with that stance on their part).
> 
> You might want to take this to the WG mailing list.
> 
> --Paul Hoffman, Director
> --VPN Consortium